org.apache.ignite.internal.visor.igfs

## Class VisorIgfsProfilerUniformityCounters

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerUniformityCounters

All Implemented Interfaces:
  Externalizable, Serializable

Deprecated.

    @Deprecated
    public class VisorIgfsProfilerUniformityCounters
    extends VisorDataTransferObject

Class to support uniformity calculation.

Uniformity calculated as coefficient of variation.

Count read frequency for each file and compare with ideal uniform distribution.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsProfilerUniformityCounters()` Deprecated. Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `aggregate(VisorIgfsProfilerUniformityCounters other)` Deprecated. Add given counters.
`double` `calc()` Deprecated. Calculate uniformity as standard deviation.
`void` `increment(long pos, long len)` Deprecated. Increment counters by given pos and length.
`void` `invalidate(long newFileSize)` Deprecated. Check if counters and blockSize should be adjusted according to file size.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Deprecated. Load object's specific data content.
`String` `toString()` Deprecated.
`protected void` `writeExternalData(ObjectOutput out)` Deprecated. Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsProfilerUniformityCounters

    public VisorIgfsProfilerUniformityCounters()

Deprecated.
Default constructor.

### Method Detail

#### invalidate

    public void invalidate(long newFileSize)

Deprecated.
Check if counters and blockSize should be adjusted according to file size.

Parameters:
  `newFileSize` - New size of file.

#### increment

    public void increment(long pos,
                          long len)

Deprecated.
Increment counters by given pos and length.

Parameters:
  `pos` - Position in file.
  `len` - Read data length.

#### aggregate

    public void aggregate(VisorIgfsProfilerUniformityCounters other)

Deprecated.
Add given counters.

Parameters:
  `other` - Counters to add.

#### calc

    public double calc()

Deprecated.
Calculate uniformity as standard deviation. See: http://en.wikipedia.org/wiki/Standard_deviation.

Returns:
  Uniformity value as number in `0..1` range.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Deprecated.
Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Deprecated.
Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022